org.eclipse.eef

## Enum EEF_TITLE_BAR_STYLE

- java.lang.Object
- - java.lang.Enum<EEF_TITLE_BAR_STYLE>
  - - org.eclipse.eef.EEF_TITLE_BAR_STYLE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EEF_TITLE_BAR_STYLE>, org.eclipse.emf.common.util.Enumerator

    public enum EEF_TITLE_BAR_STYLE
    extends java.lang.Enum<EEF_TITLE_BAR_STYLE>
    implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'EEF TITLE BAR STYLE', and utility methods for working with them.

See Also:
  `EefPackage.getEEF_TITLE_BAR_STYLE()`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NO_TITLE` The 'NO TITLE' literal object.
`SHORT_TITLE_BAR` The 'SHORT TITLE BAR' literal object.
`TITLE_BAR` The 'TITLE BAR' literal object.

### Field Summary

Fields
`static int` `NO_TITLE_VALUE` The 'NO TITLE' literal value.
`static int` `SHORT_TITLE_BAR_VALUE` The 'SHORT TITLE BAR' literal value.
`static int` `TITLE_BAR_VALUE` The 'TITLE BAR' literal value.
`static java.util.List<EEF_TITLE_BAR_STYLE>` `VALUES` A public read-only list of all the 'EEF TITLE BAR STYLE' enumerators.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static EEF_TITLE_BAR_STYLE` `get(int value)` Returns the 'EEF TITLE BAR STYLE' literal with the specified integer value.
`static EEF_TITLE_BAR_STYLE` `get(java.lang.String literal)` Returns the 'EEF TITLE BAR STYLE' literal with the specified literal value.
`static EEF_TITLE_BAR_STYLE` `getByName(java.lang.String name)` Returns the 'EEF TITLE BAR STYLE' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static EEF_TITLE_BAR_STYLE` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EEF_TITLE_BAR_STYLE[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TITLE_BAR

    public static final EEF_TITLE_BAR_STYLE TITLE_BAR

The 'TITLE BAR' literal object.

See Also:
  `TITLE_BAR_VALUE`

#### SHORT_TITLE_BAR

    public static final EEF_TITLE_BAR_STYLE SHORT_TITLE_BAR

The 'SHORT TITLE BAR' literal object.

See Also:
  `SHORT_TITLE_BAR_VALUE`

#### NO_TITLE

    public static final EEF_TITLE_BAR_STYLE NO_TITLE

The 'NO TITLE' literal object.

See Also:
  `NO_TITLE_VALUE`

### Field Detail

#### TITLE_BAR_VALUE

    public static final int TITLE_BAR_VALUE

The 'TITLE BAR' literal value.

If the meaning of 'TITLE BAR' literal object isn't clear, there really should be more of a description here...

See Also:
  `TITLE_BAR`, Constant Field Values

#### SHORT_TITLE_BAR_VALUE

    public static final int SHORT_TITLE_BAR_VALUE

The 'SHORT TITLE BAR' literal value.

If the meaning of 'SHORT TITLE BAR' literal object isn't clear, there really should be more of a description here...

See Also:
  `SHORT_TITLE_BAR`, Constant Field Values

#### NO_TITLE_VALUE

    public static final int NO_TITLE_VALUE

The 'NO TITLE' literal value.

If the meaning of 'NO TITLE' literal object isn't clear, there really should be more of a description here...

See Also:
  `NO_TITLE`, Constant Field Values

#### VALUES

    public static final java.util.List<EEF_TITLE_BAR_STYLE> VALUES

A public read-only list of all the 'EEF TITLE BAR STYLE' enumerators.

### Method Detail

#### values

    public static EEF_TITLE_BAR_STYLE[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (EEF_TITLE_BAR_STYLE c : EEF_TITLE_BAR_STYLE.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EEF_TITLE_BAR_STYLE valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### get

    public static EEF_TITLE_BAR_STYLE get(java.lang.String literal)

Returns the 'EEF TITLE BAR STYLE' literal with the specified literal value.

Parameters:
  `literal` - the literal.
Returns:
  the matching enumerator or `null`.

#### getByName

    public static EEF_TITLE_BAR_STYLE getByName(java.lang.String name)

Returns the 'EEF TITLE BAR STYLE' literal with the specified name.

Parameters:
  `name` - the name.
Returns:
  the matching enumerator or `null`.

#### get

    public static EEF_TITLE_BAR_STYLE get(int value)

Returns the 'EEF TITLE BAR STYLE' literal with the specified integer value.

Parameters:
  `value` - the integer value.
Returns:
  the matching enumerator or `null`.

#### getValue

    public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

#### getLiteral

    public java.lang.String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

#### toString

    public java.lang.String toString()

Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `java.lang.Enum<EEF_TITLE_BAR_STYLE>`